%define		perl_vendorlib  %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)

Name:		perl-Video-Frequencies
Summary:	Perl modules for Frequencies Video support
Group:		Applications/Multimedia
Version:	0.03
Release:	1%{?dist}
License:	GPL
URL:		http://ivtvdriver.org/
Source0:	http://dl.ivtvdriver.org/supporting-tools/Video-Frequencies-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
This package provides a table of hashes that represent all the current
frequency mappings that are used by Video4Linux programs.

Do perldoc Video::Frequencies to get complete instructions, etc.

%prep
%setup -q -n Video-Frequencies-%{version}
# From http://fedoraproject.org/wiki/Packaging/Perl
# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
	sed -e '/perl(unwanted_provide)/d'
EOF

%define __perl_provides %{_builddir}/Video-Frequencies-%{version}/%{name}-prov
chmod +x %{__perl_provides}


# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
	sed -e '/perl(unwanted_require)/d'
EOF

%define __perl_requires %{_builddir}/Video-Frequencies-%{version}/%{name}-req
chmod +x %{__perl_requires}


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make 
# rpmlint W: perl-Video-Frequencies make-check-outside-check-section
#make test


%install
rm -rf $RPM_BUILD_ROOT
make install \
	PERL_INSTALL_ROOT=$RPM_BUILD_ROOT 
find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
	-o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README Changes
%{_mandir}/man3/Video::Frequencies.3pm.gz
%{perl_vendorlib}/Video/Frequencies.pm


%changelog
* Sat Jan 06 2007 kwizart < kwizart at gmail.com > - 0.03-1
- Initial Release.
